# pgmtopbm

Updated: 17 July 2020
Table Of Contents

## NAME

pgmtopbm - convert a PGM image to PBM

## SYNOPSIS

pgmtopbm [-floyd | -fs | -threshold | -hilbert | -dither8 | -d8 | -cluster3 | -c3 | -cluster4 | -c4 | -cluster8 | -c8] [-value val] [-clump size] [-randomseed integer] [pgmfile]

## DESCRIPTION

This program is part of Netpbm.

This program is almost entirely obsolete since Netpbm 10.23 (July 2004). Use pamditherbw to do what this program used to do.

pgmtopbm never was the simple converter it appeared to be. It was a dithering program. Unfortunately, it didn't do the dithering properly because it treated the PGM input samples as if they were directly proportional to light intensity, but they are actually gamma-adjusted.

pamditherbw is backward compatible with pgmtopbm except that it

- does the correct gamma adjustments.
- produces PAM output instead of PBM. (Modern Netpbm programs that accept PBM input also accept PAM input, but if you need actual PBM, you can use pamtopnm with pamditherbw).

So use the manual for pamditherbw for pgmtopbm, except ignore anything that says it was added after Netpbm Release 10.23 and ignore any options that are not shown in the synopsis above.

Although pgmtopbm is mostly obsolete, the simple threshold method (specified by -threshold) is an exception. Unlike the other conversion methods, gamma-adjustment is not an issue with simple thresholding and pgmtopbm can produce PBM output directly. Note that even in this basic mode of operation pgmtopbm may produce output which is slightly different from what pamditherbw does because of differences in internal calculation.

If you just want to convert a PGM image with maxval 1 to PBM, use pamtopnm.

## SEE ALSO

pamditherbw, pamtopnm, pbmtopgm, pamthreshold, pbmreduce, pgm, pbm

## AUTHOR

Copyright (C) 1989 by Jef Poskanzer.

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- SEE ALSO
- AUTHOR